Subject: bug#53256: [bug-diffutils] bug#53256: Compiling 3.8 with nvhpc 22.1 : malloca.c 64 bits operations with signed and unsigned operands are currently unsupported by __builtin_add_overflow

From: Olivier Cessenat <[email-masked]>
Date: Mon, 17 Jan 2022 18:08:13 +0100

Hello Paul,

Thanks again for your help. Thanks to your indications for bootstrap, I 
made a very basic patch to 3.8 which I'm submitting to spack

https://github.com/spack/spack/pull/28451

I could as you suggest compile with gcc, but now that it runs smoothly I 
prefer to stick to nvc for the whole chain.

Cheers,

Olivier Cessenat

Le 15/01/2022 à 22:03, Paul Eggert a écrit :
> On 1/15/22 02:00, Olivier Cessenat wrote:
>> Could you make sure it works for 3.8 ?
>
> Backporting would be some work and I've got other things on my plate.
>
> Can you compile with gcc instead? That would be easiest.
>
> If you can't use gcc for some reason (what is it?), then you can try 
> building from git, like this:
>
> git clone https://git.savannah.gnu.org/git/diffutils.git
> cd diffutils
> ./bootstrap
> ./configure CC=nvc
> make WERROR_CFLAGS= check
>
> Ignore all the bogus warnings that nvc generates.
>
> For this latter approach you will need developer tools; see 
> README-hacking and README-prereq.